Bug 479742 - Help page - links to docs currently pointing to www.redhat.com
Help page - links to docs currently pointing to www.redhat.com
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Steve Salevan
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-01-12 15:26 EST by Brad Buckingham
Modified: 2009-09-10 14:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2009-01-12 15:26:28 EST
Description of problem:

Spacewalk initially had the "Help" tab pointing to http://www.redhat.com/docs/manuals/satellite.  This was done because Spacewalk did not deliver the documentation (e.g. Guides, Release Notes) as part of the distribution.  The downside of this is that the user did not have a way to navigate to the Document Search and API documentation pages.  Modifications were made very late in Spacewalk 0.4 to open up access to the docs page (bz: 479738); however, those changes hard-coded links to various documents on the help page to point to the URL mentioned above.

We need a flexible way to handle the documentation links so that for Spacewalk the docs link to the www.redhat.com URL and that the Satellite points to the documents delivered as part of the product (e.g. *.jsp).  Ideally, this could be something that is handled through configuration.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. go to https://<server>/rhn/YourRhn.do
2. click "Help"
3. click on any of the doc links (e.g. Guides, Release Notes...etc)
  
Actual results:
user is directed to www.redhat.com/docs/manuals/satellite

Expected results:
user is directed to the appropriate *.jsp for the requested doc

Additional info:
Comment 1 Brad Buckingham 2009-02-18 17:11:00 EST
spacewalk git commit: 21212b23e27b7befe507d64df7ef1dfb1dc74a2e
satellite git commit: d698c1e30368df0b2aed8e99e969aab5897a9023

In order to address this, we introduced a new configuration file that will specify the URL where documents are located.  When the user selects a document that uses this configuration, they will be redirected to the URL based upon the configuration.

Currently, this will handle the documentation links that can be found on the following pages:

- If user is not logged in, 
  - go to the login page
  - click "About"
  - select a document... (e.g. select "Release Notes")

- If user is logged in:
  - click "Help"
  - select a document... (e.g. select "Release Notes")

The new config file (/etc/rhn/default/rhn_docs.conf) is included as part of the branding RPM (e.g. spacewalk-branding).

The rhn_docs.conf will contain mappings similar to : 
docs.reference_guide=/rhn/help/reference/index.jsp
- or -
docs.reference_guide=http://www.redhat.com/docs/manuals/satellite/

NOTE: when verifying this BZ, be aware that you must have the documentation packages to be installed; otherwise, selecting the documentation will result in a 404.
Comment 2 Steve Salevan 2009-02-24 11:21:24 EST
Followed use cases and verified appropriate behavior on 530-re20090220.1.  Moving to VERIFIED.
Comment 3 Steve Salevan 2009-08-07 15:10:39 EDT
RELEASE_PENDING from 7/24 ISO.
Comment 4 Brandon Perkins 2009-09-10 14:53:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.